#include "my_io.h"
#include "display02.h"
#include <stddef.h>

void writeStringAndWait(char a[])
{
    writeString(a);
    int inc = 0;
    while(inc == 0)
    {
      inc = getIncrement();
    }
}

// Der Benutzer kann eine Zahl 0 <= z <= upperLimit whlen.
// Wenn names != NULL ist, werden Namen statt Zahlen angezeigt.
int getNumber(unsigned int upperLimit, char *names[])
{
  int z = upperLimit/2; // ein hoffentlich sinnvoller Anfangswert
  while(getMillisecondsSinceLastChange() < 1000)
  {   
    z += getIncrement();
    if(z < 0)
    {
      z = 0;
    }
    else if(z > upperLimit)
    {
      z = upperLimit;
    }
    
    if(names == NULL)
    {
      writeNumber(z);
    }
    else
    {
      writeString(names[z]);
    }
  }
  return z;
}